%define debug_package %{nil}

Summary:	Gnome Partition Editor
Name:		gparted
Version:	0.8.1
Release:	1%{?dist}
Group:		Applications/System
License:	GPLv2+
URL:		http://gparted.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	gparted-console.apps
Source2:	gparted-pam.d
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtkmm24-devel parted-devel 
%if 0%{?fedora} == 11
BuildRequires:	e2fsprogs-devel
%endif
%if 0%{?fedora} >= 12
BuildRequires:	libuuid-devel 
%endif
%if 0%{?centos_version} >= 6
BuildRequires:	libuuid-devel 
%endif
BuildRequires:	gettext perl(XML::Parser) 
BuildRequires:	desktop-file-utils gnome-doc-utils
%if 0%{?fedora} > 0
BuildRequires:  rarian-compat
%endif
%if 0%{?centos} > 0
BuildRequires:  intltool
%endif

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to
libparted. Among other features it supports creating, resizing, moving
and copying of partitions. Also several (optional) filesystem tools provide
support for filesystems not included in libparted. These optional packages
will be detected at runtime and don't require a rebuild of GParted

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

sed -i 's#_X-GNOME-FullName#X-GNOME-FullName#' %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --delete-original			\
        --vendor fedora					\
        --dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
        --add-category X-Fedora				\
        --add-category GTK				\
        %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i 's#sbin#bin#' %{buildroot}%{_datadir}/applications/fedora-%{name}.desktop

#### consolehelper stuff
mkdir -p %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/gparted

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/security/console.apps/gparted

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/gparted

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/gparted
%{_sbindir}/gparted
%{_sbindir}/gpartedbin
%{_datadir}/applications/fedora-gparted.desktop
%{_datadir}/icons/hicolor/*/apps/gparted.*
%{_datadir}/gnome/help/gparted/
%{_datadir}/omf/gparted/
%{_mandir}/man8/gparted.*
%config(noreplace) %{_sysconfdir}/pam.d/gparted
%config(noreplace) %{_sysconfdir}/security/console.apps/gparted

%changelog
* Tue May 24 2011 Lawrence Rogers <lrr@cert.org> 0.8.1-1
- Changes making 0.8.1
    Add note to AUTHORS file for Seth's contributions

    Simplified cleanup_cursor() implementation
    
    I hit this performance bug when I cloneda 40G NTFS partition. The actual
    copy was done in under 11 minutes. After that I was shocked to find that
    gparted would spend over 12 minutes in cleanup_cursor, pegging a CPU
    core. (On a quad core desktop...)
    
    Simply replacing the ustring with std::string would reduce the time to
    about 1.5 minutes. Still bad. Also, I didn't want to lose UTF8
    awareness.
    
    So I rewrote the algorithm in 'streaming mode'. This has the (potential)
    drawback that locale conversions are done, but performs well and
    - IMHO - is a lot more readable.
    
    On a minor note: this implementation correctly handles backspaces at the
    start of a line.

    Remove one level of quoting when spawning commands
    
    Change spawn_command_line_sync to spawn_sync to reduce the level of
    quoting required when passing commands to the function.  Since
    spawn_command_line_sync uses the parent's environment, the replacement
    call also uses the parent's environment.
    
    This change permits unmounting of file systems mounted with an
    apostrophe in the mount point name.
    
    Ubuntu launchpad bug 151796 - Can't unmount partition with apostrophe
                                  in label
    https://bugs.launchpad.net/ubuntu/+source/gparted/+bug/151796

    Ensure graphical error message displayed when run by non-root user
    
    Ubuntu launchpad bug 696937 - Running gparted as non-root user
                                  displays no graphical error message
    https://bugs.launchpad.net/ubuntu/+source/gparted/+bug/696937

    Add openSUSE command to install dependencies to README

    Remove all usage of kpartx to avoid partition entry duplicates
    
    Usage of the kpartx package to create partition names has been
    completely removed.  Hence kpartx is no longer even an optionally used
    package by gparted.
    
    This change is related to the following bug report:
    
    Ubuntu launchpad bug 719129 - [Natty] Gparted duplicates dmraid
                                  partition devices
    https://bugs.launchpad.net/ubuntu/+source/gparted/+bug/719129

    Add flag --enable-libparted-dmraid to use native libparted dmraid
    
    The new configure option --enable-libparted-dmraid enables the native
    use of /dev/mapper dmraid support in the libparted library.
    
    If this option is not specified, or is disabled, then gparted code
    will be used to support dmraid.  The gparted code uses the old dmraid
    partition naming scheme of always appending the partition number to
    the device name.  The letter 'p' is not inserted between the device
    name and the partition number.  The gparted code is particularly
    useful when used with older versions of libparted that do not support
    /dev/mapper dmraid.
    
    Ubuntu launchpad bug 719129 - [Natty] Gparted duplicates dmraid
                                  partition devices
    https://bugs.launchpad.net/ubuntu/+source/gparted/+bug/719129


    Add comment for documentation maximum image width recommendation

    Add Esperanto translation
    Fixed typos in French translation
    Updated Latvian translation.
    [l10n] Updated Italian translation
    Updated Romanian translation
    Updated French translation
    Updated Danish translation
    [l10n] Updated Dutch translation
    Updated Arabic translation
* Mon May 9 2011 Lawrence Rogers <lrr@cert.org> 0.8.0-1
- Changes making 0.8.0
    Add attempt data rescue section to help manual (#171215)
    
    Add documentation for new feature to attempt data rescue for lost
    partitions.
    
    Closes Bug #171215 - Support lost partition recovery

    Added support to lost data recovery using gpart

    Prevent visual disk display area from disappearing
    
    Added a display refresh to the event queue to address this
    problem.
    
    Previously, the display area of the visual disk seemed to
    disappear when enough operations had been added to the queue so
    that a scrollbar was required (about 4 operations).
    
    If the three lines in HBoxOperations::load_operations method for
    "//make scrollwindow focus on the last operation in the list"
    were commented out then this also prevented the problem from
    occurring.
    
    Interestingly, if I changed the "set_cursor" method to
    a "scroll_to_row" method, then this problem does not occur for an
    additional 2 operations (about 6 operations total).
    
    Ubuntu launchpad bug 583746 - Partition graph disappears after a
                                  swap partition has been deleted
    https://bugs.launchpad.net/ubuntu/+source/gparted/+bug/583746

    Increase robustness of help manual launch
    
    Add direct invocation of yelp if normal open help manual methods
    fail.

    Add possible cause for failure to read file system

    Add another reason to list when unable to detect file system

    Update copyright year

    Change documentation to URL gparted.org and update copyright year

    Fix minor cylinder alignment rounding error (size < 1 cylinder)
    
    Previously when creating a new partition on a device with 512
    byte sectors with 7 MiB chosen and cylinder alignment, the
    snap_to_cylinder logic would round up to 2 cylinders (~15.69
    MiB), instead of the correct 1 cylinder (~7.84 MiB).

    Fix paste destination partition smaller than source (#639393)
    
    Re-work logic for copying a cylinder aligned partition to a new
    MiB aligned partition.  Previously this was partially fixed in
    bug #626946 - Destination partition smaller than source partition
    
    Closes Bug #639393 - Redux: Destination partition smaller than
                         source partition

* Fri Oct 29 2010 Deji Akingunola <dakingun@gmail.com> - 0.7.0-1
- Update to version 0.7.0

* Sun Oct 17 2010 Deji Akingunola <dakingun@gmail.com> - 0.6.4-1
- Update to version 0.6.4

* Fri Aug 06 2010 Deji Akingunola <dakingun@gmail.com> - 0.6.2-1
- Update to version 0.6.2

* Mon Jun 21 2010 Deji Akingunola <dakingun@gmail.com> - 0.6.0-1
- Update to version 0.6.0

* Thu Apr 01 2010 Mike McGrath <mmcgrath@redhat.com> - 0.5.2-1.1
- Rebuilt to fix broken parted dep

* Fri Mar 12 2010 Deji Akingunola <dakingun@gmail.com> - 0.5.2-1
- Update to version 0.5.2

* Tue Jan 26 2010 Deji Akingunola <dakingun@gmail.com> - 0.5.1-1
- Update to version 0.5.1

* Wed Jan 13 2010 Deji Akingunola <dakingun@gmail.com> - 0.5.0-1
- Update to version 0.5.0

* Mon Nov 16 2009 Deji Akingunola <dakingun@gmail.com> - 0.4.8-1
- New upstream version

* Mon Aug 10 2009 Deji Akingunola <dakingun@gmail.com> - 0.4.6-1
- New upstream version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Deji Akingunola <dakingun@gmail.com> - 0.4.5-2
- Change e2fsprog-devel BR to libuuid-devel, and rebuild for parted soname bump

* Sat May 09 2009 Deji Akingunola <dakingun@gmail.com> - 0.4.5-1
- New upstream version

* Mon Apr 06 2009 Deji Akingunola <dakingun@gmail.com> - 0.4.4-1
- New upstream version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 Deji Akingunola <dakingun@gmail.com> - 0.4.3-1
- New upstream version, fixes the automounting bug (RH #468953)

* Tue Feb 10 2009 Deji Akingunola <dakingun@gmail.com> - 0.4.2-1
- New upstream version

* Mon Dec 15 2008 Deji Akingunola <dakingun@gmail.com> - 0.4.1-1
- New upstream version

* Mon Sep 22 2008 Deji Akingunola <dakingun@gmail.com> - 0.3.9-1
- New upstream version
- Finally removed the 'preun' call that ensures the old gparted fdi (pre-FC6)
  file is removed on update

* Sun Jul 13 2008 Deji Akingunola <dakingun@gmail.com> - 0.3.8-1
- New upstream version

* Wed Apr 30 2008 Deji Akingunola <dakingun@gmail.com> - 0.3.7-1
- New upstream version

* Fri Mar 28 2008 Deji Akingunola <dakingun@gmail.com> - 0.3.6-1
- New upstream version

* Thu Feb 07 2008 Deji Akingunola <dakingun@gmail.com> - 0.3.5-1
- New upstream version

* Thu Nov 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-14
- Fix to detect full path to device/partition pathname (Bug #395071)

* Tue Oct 30 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-13
- Fix crash after refresh bug (Bug #309251, patch by Jim Hayward)
- Fix to use realpath properly (Bug #313281, patch by Jim Hayward)

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-12
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-12
- License tag update

* Mon Jun 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-11
- Apply patch to only detect real devices, useful for correcting gparted slow 
 startup in situations when floppy drives don't exist but are enabled in bios
 (BZ #208821).

* Wed Apr 18 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-10
- Fix another typos in the run-gparted script

* Mon Apr 16 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-9
- Fix the typos and stupidity in the consolehelper and hal-lock files

* Mon Apr 04 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-8
- Explicitly require hal >= 0.5.9
- Remove the hal policy file created by gparted (if it's still there) on upgrade

* Mon Apr 03 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-7
- Patch gparted to not create a hal fdi file but use hal-lock instead, this will hopefully fix BZ #215657
- Clean up the spec file

* Wed Mar 21 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-6
- Rebuild for GNU parted-1.8.6

* Tue Mar 20 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-5
- Rebuild for GNU parted-1.8.5

* Wed Jan 24 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-4
- Re-write the consolehelpher stuff to work with latest pam

* Tue Jan 16 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-3
- The new parted is back, rebuild again

* Sat Jan 13 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.3-2
- Rebuild for new parted

* Thu Dec 07 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.3-1
- Bug fix release

* Tue Dec 05 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.2-1
- New release

* Mon Nov 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.1-5
- Add more BRs

* Mon Nov 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.1-4
- Complete fix for parted check and apply patch on configure.in

* Wed Nov 23 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.1-3
- Backport a fix from cvs to properly check for libparted version

* Mon Nov 21 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.1-2
- Rebuild for new parted

* Wed Sep 13 2006 Deji Akingunola <dakingun@gmail.com> - 0.3.1-1
- New version 0.3.1

* Tue Sep 05 2006 Deji Akingunola <dakingun@gmail.com> - 0.3-1
- New version 0.3

* Mon Aug 28 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.5-3
- Rebuild for FC6

* Mon May 22 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.5-2
- Rebuild

* Mon May 22 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.5-1
- Update to version 0.2.5

* Mon Apr 17 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.4-2
- Rebuild for new parted

* Wed Apr 12 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.4-1
- Update to newer version

* Thu Mar 30 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.3-1
- Update to newer version

* Mon Mar 07 2006 Deji Akingunola <dakingun@gmail.com> - 0.2.2-1
- New release

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 0.2-2
- Rebuild for Fedora Extras 5

* Mon Jan 30 2006 Deji Akingunola <dakingun@gmail.com> - 0.2-1
- New release

* Wed Jan 11 2006 Deji Akingunola <dakingun@gmail.com> - 0.1-1
- New release

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.0.9-3
- Use correct source url

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.0.9-2
- Add more buildrequires and cleanup spec file

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.0.9-1 
- Update to latest released version

* Wed Oct 26 2005 Deji Akingunola <dakingun@gmail.com> - 0.0.8-1
- initial Extras release
